pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::TruncatedError Class Reference

`#include <pcl/registration/ia_ransac.h>`

Inheritance diagram for pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::TruncatedError:

## Public Member Functions

virtual | ~TruncatedError ()
| TruncatedError (float threshold)
virtual float | operator() (float e) const
Public Member Functions inherited from pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor
virtual | ~ErrorFunctor ()

## Protected Attributes

float | threshold_

## Detailed Description

### template<typename PointSource, typename PointTarget, typename FeatureT>
class pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::TruncatedError

Definition at line 112 of file ia_ransac.h.

## Constructor & Destructor Documentation

template<typename PointSource, typename PointTarget, typename FeatureT>

virtual pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::TruncatedError::~TruncatedError | ( |  | ) |

inline virtual

Definition at line 117 of file ia_ransac.h.

template<typename PointSource, typename PointTarget, typename FeatureT>

pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::TruncatedError::TruncatedError | ( | float | threshold | ) |

inline

Definition at line 119 of file ia_ransac.h.

## Member Function Documentation

template<typename PointSource, typename PointTarget, typename FeatureT>

virtual float pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::TruncatedError::operator() | ( | float | e | ) | const

inline virtual

Implements pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor.

Definition at line 120 of file ia_ransac.h.

## Member Data Documentation

template<typename PointSource, typename PointTarget, typename FeatureT>

float pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::TruncatedError::threshold_

protected

Definition at line 128 of file ia_ransac.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/registration/include/pcl/registration/ia_ransac.h